#
# Conditional build:
%bcond_with	tests	# unit tests

%define	module	astroid
Summary:	An abstract syntax tree for Python 3 with inference support
Summary(pl.UTF-8):	Abstrakcyjnego drzewa składniowe dla Pythona 3 z obsługą wywodu
Name:		python3-%{module}
# keep version compatible with pylint.spec (3.3.x for pylint 3.3.x)
Version:	3.3.10
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/astroid/
Source0:	https://files.pythonhosted.org/packages/source/a/astroid/astroid-%{version}.tar.gz
# Source0-md5:	79df142c44c28a51563d992cd78d3797
URL:		https://github.com/PyCQA/astroid
BuildRequires:	python3-devel >= 1:3.9.0
BuildRequires:	python3-modules >= 1:3.9.0
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-setuptools >= 1:77
%if %{with tests}
# optional
#BuildRequires:	python3-PyQt6
BuildRequires:	python3-attrs
BuildRequires:	python3-dateutil
BuildRequires:	python3-lazy-object-proxy >= 1.4
BuildRequires:	python3-mypy
BuildRequires:	python3-pynose
BuildRequires:	python3-pytest
BuildRequires:	python3-regex
BuildRequires:	python3-six >= 1.12
BuildRequires:	python3-urllib3 >= 1
BuildRequires:	python3-urllib3 < 2
%if "%{_ver_lt %{py3_ver} 3.11}" == "1"
BuildRequires:	python3-typing_extensions >= 4.4
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.9.0
Obsoletes:	python3-logilab-astng < 1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of this module is to provide a common base representation of
Python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is
essentially governed by pylint's needs. It used to be called
logilab-astng.

%description -l pl.UTF-8
Celem tego modułu jest dostarczenie wspólnej bazowej reprezentacji
kodu źródłowego Pythona dla projektów takich jak pychecker, pyreverse,
pylint... Właściwie tworzenie tej biblioteki jest istotnie kierowane
potrzebami pylinta. Dawniej nazywała się logilab-astng.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
# test_identify_old_namespace_package_protocol fails due to DeprecationWarning
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests -k 'not test_identify_old_namespace_package_protocol'
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS.txt README.rst
%{py3_sitescriptdir}/astroid
%{py3_sitescriptdir}/astroid-%{version}.dist-info
%changelog
* Fri Jul 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-astroid.git;a=log;h=master

* Thu Jul 03 2025 Jakub Bogusz <qboosh@pld-linux.org> abdb9d6
- updated to 3.3.10

* Mon Mar 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 295354a
- Up to 3.3.9

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 99bb252
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d820600
- python 3.13 rebuild

* Wed Sep 14 2022 Jakub Bogusz <qboosh@pld-linux.org> a60a1d4
- updated to 2.12.9 (for pylint 2.15.x)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b2f4f86
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8d1edaa
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 61a6a09
- updated to 2.9.3
- dropped deps patch

* Wed Dec 15 2021 Jakub Bogusz <qboosh@pld-linux.org> bcbea2e
- setuptools epoch

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> 6e33700
- up to 2.9.0

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> 3d05f46
- up to 2.5.1

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 1681d8f
- release 3 (by relup.sh)

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 2ef047d
- fix python_requires (broke distlib: '.*' not allowed for '>=' constraints); release 2

* Sat Nov 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 4e4ce5e
- updated to 2.3.3
- updated deps patch (drop implementation_name rule here, not supported by rpm-pythonprov)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7dbb44c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 3987911
- python3-only version under python3-* spec name

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> c8eef9e
- up to 2.3.2; has anyone used this package? astroid 2.x is python3-only

* Sun Oct 13 2019 Adam Gołębiowski <adamg@pld-linux.org> 077b42c
- release 2, fix deps

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> b9412b5
- updated to 2.3.1

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> 59b2fff
- release 2

